TEE(1)

NOM
tee - Lire depuis l'entrée standard et écrire sur la sortie standard et dans des fichiers

SYNOPSIS
tee [OPTION] ... [FICHIER] ...

DESCRIPTION

Copier depuis l'entrée standard vers chaque FICHIER et également vers la sortie standard.

-a, --append
    ajouter aux FICHIERs indiqués, sans les écraser

-i, --ignore-interrupts
    ignorer les signaux d'interruption

-p  opérer dans un MODE plus approprié avec des tubes

--output-error[=MODE]
    définir le comportement lors d'une erreur d'écriture. Voir plus bas

--help
    Afficher l'aide-mémoire et quitter.

--version
    Afficher les informations de version et quitter.

  Le MODE détermine le comportement lors d'erreurs d'écriture sur les sorties :

warn
    diagnostiquer les erreurs d'écriture vers n'importe quelle sortie

warn-nopipe
    diagnostiquer les erreurs d'écriture vers n'importe quelle sortie qui n'est pas un tube

exit
    quitter lors d'erreurs d'écriture vers n'importe quelle sortie

exit-nopipe
    quitter lors d'erreurs d'écriture vers n'importe quelle sortie qui n'est pas un tube

Le MODE par défaut pour l'option -p est « warn-nopipe ». Avec les MODES « nopipe », quitter immédiatment si toutes les sorties deviennent des tubes cassés. L'opération par défaut si --output-error n'est pas spécifié est de quitter immédiatement lors d'erreurs d'écriture vers un tube et de diagnostiquer les erreurs d'écriture vers les sorties qui ne sont pas un tube.

AUTEUR
Écrit par Mike Parker, Richard M. Stallman et David MacKenzie.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

VOIR AUSSI
Documentation complète : <https://www.gnu.org/software/coreutils/tee>
aussi disponible localement à l’aide de la commande : info '(coreutils) tee invocation'

Empaqueté par Debian (9.7-2)
Copyright © 2025 Free Software Foundation, Inc.
Licence GPLv3+ : GNU GPL version 3 ou supérieure <https://gnu.org/licenses/gpl.html>.
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer.
Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Pierre Giraud <jean-pierregiraud@neuf.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.